Package com.sap.ai.sdk.core.model

# Class AiExecution

java.lang.Object
com.sap.ai.sdk.core.model.AiExecution

public class AiExecution extends Object
Execution that may generate artifacts

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `AiExecution.Builder`
  Builder helper class.
  `static interface`
  `AiExecution.Builder1`
  Builder helper class.
  `static interface`
  `AiExecution.Builder2`
  Builder helper class.
  `static interface`
  `AiExecution.Builder3`
  Builder helper class.
  `static interface`
  `AiExecution.Builder4`
  Builder helper class.
  `static enum`
  `AiExecution.TargetStatusEnum`
  Target status of the execution

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AiExecution()`
  Default constructor for AiExecution.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AiExecution`
  `addOutputArtifactsItem(AiArtifact outputArtifactsItem)`
  Add one outputArtifacts instance to this `AiExecution`.
  `AiExecution`
  `completionTime(OffsetDateTime completionTime)`
  Set the completionTime of this `AiExecution` instance and return the same instance.
  `AiExecution`
  `configurationId(String configurationId)`
  Set the configurationId of this `AiExecution` instance and return the same instance.
  `AiExecution`
  `configurationName(String configurationName)`
  Set the configurationName of this `AiExecution` instance and return the same instance.
  `static AiExecution.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `AiExecution` instance with all required arguments.
  `AiExecution`
  `createdAt(OffsetDateTime createdAt)`
  Set the createdAt of this `AiExecution` instance and return the same instance.
  `boolean`
  `equals(Object o)`
  `AiExecution`
  `executableId(String executableId)`
  Set the executableId of this `AiExecution` instance and return the same instance.
  `AiExecution`
  `executionScheduleId(String executionScheduleId)`
  Set the executionScheduleId of this `AiExecution` instance and return the same instance.
  `OffsetDateTime`
  `getCompletionTime()`
  Timestamp of job status changed to COMPLETED/DEAD/STOPPED
  `String`
  `getConfigurationId()`
  ID of the configuration
  `String`
  `getConfigurationName()`
  Name of the configuration
  `OffsetDateTime`
  `getCreatedAt()`
  Timestamp of resource creation
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `AiExecution`.
  `String`
  `getExecutableId()`
  ID of the executable
  `String`
  `getExecutionScheduleId()`
  ID of the execution schedule
  `String`
  `getId()`
  ID of the execution
  `OffsetDateTime`
  `getModifiedAt()`
  Timestamp of latest resource modification
  `List<AiArtifact>`
  `getOutputArtifacts()`
  Get outputArtifacts
  `String`
  `getScenarioId()`
  ID of the scenario
  `OffsetDateTime`
  `getStartTime()`
  Timestamp of job status changed to RUNNING
  `AiExecutionStatus`
  `getStatus()`
  Get status
  `String`
  `getStatusMessage()`
  Execution status message
  `OffsetDateTime`
  `getSubmissionTime()`
  Timestamp of job submitted
  `AiExecution.TargetStatusEnum`
  `getTargetStatus()`
  Target status of the execution
  `int`
  `hashCode()`
  `AiExecution`
  `id(String id)`
  Set the id of this `AiExecution` instance and return the same instance.
  `AiExecution`
  `modifiedAt(OffsetDateTime modifiedAt)`
  Set the modifiedAt of this `AiExecution` instance and return the same instance.
  `AiExecution`
  `outputArtifacts(List<AiArtifact> outputArtifacts)`
  Set the outputArtifacts of this `AiExecution` instance and return the same instance.
  `AiExecution`
  `scenarioId(String scenarioId)`
  Set the scenarioId of this `AiExecution` instance and return the same instance.
  `void`
  `setCompletionTime(OffsetDateTime completionTime)`
  Set the completionTime of this `AiExecution` instance.
  `void`
  `setConfigurationId(String configurationId)`
  Set the configurationId of this `AiExecution` instance.
  `void`
  `setConfigurationName(String configurationName)`
  Set the configurationName of this `AiExecution` instance.
  `void`
  `setCreatedAt(OffsetDateTime createdAt)`
  Set the createdAt of this `AiExecution` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `AiExecution` instance.
  `void`
  `setExecutableId(String executableId)`
  Set the executableId of this `AiExecution` instance.
  `void`
  `setExecutionScheduleId(String executionScheduleId)`
  Set the executionScheduleId of this `AiExecution` instance.
  `void`
  `setId(String id)`
  Set the id of this `AiExecution` instance.
  `void`
  `setModifiedAt(OffsetDateTime modifiedAt)`
  Set the modifiedAt of this `AiExecution` instance.
  `void`
  `setOutputArtifacts(List<AiArtifact> outputArtifacts)`
  Set the outputArtifacts of this `AiExecution` instance.
  `void`
  `setScenarioId(String scenarioId)`
  Set the scenarioId of this `AiExecution` instance.
  `void`
  `setStartTime(OffsetDateTime startTime)`
  Set the startTime of this `AiExecution` instance.
  `void`
  `setStatus(AiExecutionStatus status)`
  Set the status of this `AiExecution` instance.
  `void`
  `setStatusMessage(String statusMessage)`
  Set the statusMessage of this `AiExecution` instance.
  `void`
  `setSubmissionTime(OffsetDateTime submissionTime)`
  Set the submissionTime of this `AiExecution` instance.
  `void`
  `setTargetStatus(AiExecution.TargetStatusEnum targetStatus)`
  Set the targetStatus of this `AiExecution` instance.
  `AiExecution`
  `startTime(OffsetDateTime startTime)`
  Set the startTime of this `AiExecution` instance and return the same instance.
  `AiExecution`
  `status(AiExecutionStatus status)`
  Set the status of this `AiExecution` instance and return the same instance.
  `AiExecution`
  `statusMessage(String statusMessage)`
  Set the statusMessage of this `AiExecution` instance and return the same instance.
  `AiExecution`
  `submissionTime(OffsetDateTime submissionTime)`
  Set the submissionTime of this `AiExecution` instance and return the same instance.
  `AiExecution`
  `targetStatus(AiExecution.TargetStatusEnum targetStatus)`
  Set the targetStatus of this `AiExecution` instance and return the same instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `AiExecution` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AiExecution

    protected AiExecution()
    Default constructor for AiExecution.

- ## Method Details

  - ### id

    @Nonnull public AiExecution id(@Nonnull String id)
    Set the id of this `AiExecution` instance and return the same instance.
    Parameters:
      `id` - ID of the execution
    Returns:
      The same instance of this `AiExecution` class

  - ### getId

    @Nonnull public String getId()
    ID of the execution
    Returns:
      id The id of this `AiExecution` instance.

  - ### setId

    public void setId(@Nonnull String id)
    Set the id of this `AiExecution` instance.
    Parameters:
      `id` - ID of the execution

  - ### configurationId

    @Nonnull public AiExecution configurationId(@Nonnull String configurationId)
    Set the configurationId of this `AiExecution` instance and return the same instance.
    Parameters:
      `configurationId` - ID of the configuration
    Returns:
      The same instance of this `AiExecution` class

  - ### getConfigurationId

    @Nonnull public String getConfigurationId()
    ID of the configuration
    Returns:
      configurationId The configurationId of this `AiExecution` instance.

  - ### setConfigurationId

    public void setConfigurationId(@Nonnull String configurationId)
    Set the configurationId of this `AiExecution` instance.
    Parameters:
      `configurationId` - ID of the configuration

  - ### configurationName

    @Nonnull public AiExecution configurationName(@Nullable String configurationName)
    Set the configurationName of this `AiExecution` instance and return the same instance.
    Parameters:
      `configurationName` - Name of the configuration
    Returns:
      The same instance of this `AiExecution` class

  - ### getConfigurationName

    @Nonnull public String getConfigurationName()
    Name of the configuration
    Returns:
      configurationName The configurationName of this `AiExecution` instance.

  - ### setConfigurationName

    public void setConfigurationName(@Nullable String configurationName)
    Set the configurationName of this `AiExecution` instance.
    Parameters:
      `configurationName` - Name of the configuration

  - ### executableId

    @Nonnull public AiExecution executableId(@Nullable String executableId)
    Set the executableId of this `AiExecution` instance and return the same instance.
    Parameters:
      `executableId` - ID of the executable
    Returns:
      The same instance of this `AiExecution` class

  - ### getExecutableId

    @Nonnull public String getExecutableId()
    ID of the executable
    Returns:
      executableId The executableId of this `AiExecution` instance.

  - ### setExecutableId

    public void setExecutableId(@Nullable String executableId)
    Set the executableId of this `AiExecution` instance.
    Parameters:
      `executableId` - ID of the executable

  - ### scenarioId

    @Nonnull public AiExecution scenarioId(@Nullable String scenarioId)
    Set the scenarioId of this `AiExecution` instance and return the same instance.
    Parameters:
      `scenarioId` - ID of the scenario
    Returns:
      The same instance of this `AiExecution` class

  - ### getScenarioId

    @Nonnull public String getScenarioId()
    ID of the scenario
    Returns:
      scenarioId The scenarioId of this `AiExecution` instance.

  - ### setScenarioId

    public void setScenarioId(@Nullable String scenarioId)
    Set the scenarioId of this `AiExecution` instance.
    Parameters:
      `scenarioId` - ID of the scenario

  - ### targetStatus

    @Nonnull public AiExecution targetStatus(@Nullable AiExecution.TargetStatusEnum targetStatus)
    Set the targetStatus of this `AiExecution` instance and return the same instance.
    Parameters:
      `targetStatus` - Target status of the execution
    Returns:
      The same instance of this `AiExecution` class

  - ### getTargetStatus

    @Nonnull public AiExecution.TargetStatusEnum getTargetStatus()
    Target status of the execution
    Returns:
      targetStatus The targetStatus of this `AiExecution` instance.

  - ### setTargetStatus

    public void setTargetStatus(@Nullable AiExecution.TargetStatusEnum targetStatus)
    Set the targetStatus of this `AiExecution` instance.
    Parameters:
      `targetStatus` - Target status of the execution

  - ### status

    @Nonnull public AiExecution status(@Nonnull AiExecutionStatus status)
    Set the status of this `AiExecution` instance and return the same instance.
    Parameters:
      `status` - The status of this `AiExecution`
    Returns:
      The same instance of this `AiExecution` class

  - ### getStatus

    @Nonnull public AiExecutionStatus getStatus()
    Get status
    Returns:
      status The status of this `AiExecution` instance.

  - ### setStatus

    public void setStatus(@Nonnull AiExecutionStatus status)
    Set the status of this `AiExecution` instance.
    Parameters:
      `status` - The status of this `AiExecution`

  - ### statusMessage

    @Nonnull public AiExecution statusMessage(@Nullable String statusMessage)
    Set the statusMessage of this `AiExecution` instance and return the same instance.
    Parameters:
      `statusMessage` - Execution status message
    Returns:
      The same instance of this `AiExecution` class

  - ### getStatusMessage

    @Nonnull public String getStatusMessage()
    Execution status message
    Returns:
      statusMessage The statusMessage of this `AiExecution` instance.

  - ### setStatusMessage

    public void setStatusMessage(@Nullable String statusMessage)
    Set the statusMessage of this `AiExecution` instance.
    Parameters:
      `statusMessage` - Execution status message

  - ### outputArtifacts

    @Nonnull public AiExecution outputArtifacts(@Nullable List<AiArtifact> outputArtifacts)
    Set the outputArtifacts of this `AiExecution` instance and return the same instance.
    Parameters:
      `outputArtifacts` - The outputArtifacts of this `AiExecution`
    Returns:
      The same instance of this `AiExecution` class

  - ### addOutputArtifactsItem

    @Nonnull public AiExecution addOutputArtifactsItem(@Nonnull AiArtifact outputArtifactsItem)
    Add one outputArtifacts instance to this `AiExecution`.
    Parameters:
      `outputArtifactsItem` - The outputArtifacts that should be added
    Returns:
      The same instance of type `AiExecution`

  - ### getOutputArtifacts

    @Nonnull public List<AiArtifact> getOutputArtifacts()
    Get outputArtifacts
    Returns:
      outputArtifacts The outputArtifacts of this `AiExecution` instance.

  - ### setOutputArtifacts

    public void setOutputArtifacts(@Nullable List<AiArtifact> outputArtifacts)
    Set the outputArtifacts of this `AiExecution` instance.
    Parameters:
      `outputArtifacts` - The outputArtifacts of this `AiExecution`

  - ### executionScheduleId

    @Nonnull public AiExecution executionScheduleId(@Nullable String executionScheduleId)
    Set the executionScheduleId of this `AiExecution` instance and return the same instance.
    Parameters:
      `executionScheduleId` - ID of the execution schedule
    Returns:
      The same instance of this `AiExecution` class

  - ### getExecutionScheduleId

    @Nonnull public String getExecutionScheduleId()
    ID of the execution schedule
    Returns:
      executionScheduleId The executionScheduleId of this `AiExecution` instance.

  - ### setExecutionScheduleId

    public void setExecutionScheduleId(@Nullable String executionScheduleId)
    Set the executionScheduleId of this `AiExecution` instance.
    Parameters:
      `executionScheduleId` - ID of the execution schedule

  - ### createdAt

    @Nonnull public AiExecution createdAt(@Nonnull OffsetDateTime createdAt)
    Set the createdAt of this `AiExecution` instance and return the same instance.
    Parameters:
      `createdAt` - Timestamp of resource creation
    Returns:
      The same instance of this `AiExecution` class

  - ### getCreatedAt

    @Nonnull public OffsetDateTime getCreatedAt()
    Timestamp of resource creation
    Returns:
      createdAt The createdAt of this `AiExecution` instance.

  - ### setCreatedAt

    public void setCreatedAt(@Nonnull OffsetDateTime createdAt)
    Set the createdAt of this `AiExecution` instance.
    Parameters:
      `createdAt` - Timestamp of resource creation

  - ### modifiedAt

    @Nonnull public AiExecution modifiedAt(@Nonnull OffsetDateTime modifiedAt)
    Set the modifiedAt of this `AiExecution` instance and return the same instance.
    Parameters:
      `modifiedAt` - Timestamp of latest resource modification
    Returns:
      The same instance of this `AiExecution` class

  - ### getModifiedAt

    @Nonnull public OffsetDateTime getModifiedAt()
    Timestamp of latest resource modification
    Returns:
      modifiedAt The modifiedAt of this `AiExecution` instance.

  - ### setModifiedAt

    public void setModifiedAt(@Nonnull OffsetDateTime modifiedAt)
    Set the modifiedAt of this `AiExecution` instance.
    Parameters:
      `modifiedAt` - Timestamp of latest resource modification

  - ### submissionTime

    @Nonnull public AiExecution submissionTime(@Nullable OffsetDateTime submissionTime)
    Set the submissionTime of this `AiExecution` instance and return the same instance.
    Parameters:
      `submissionTime` - Timestamp of job submitted
    Returns:
      The same instance of this `AiExecution` class

  - ### getSubmissionTime

    @Nonnull public OffsetDateTime getSubmissionTime()
    Timestamp of job submitted
    Returns:
      submissionTime The submissionTime of this `AiExecution` instance.

  - ### setSubmissionTime

    public void setSubmissionTime(@Nullable OffsetDateTime submissionTime)
    Set the submissionTime of this `AiExecution` instance.
    Parameters:
      `submissionTime` - Timestamp of job submitted

  - ### startTime

    @Nonnull public AiExecution startTime(@Nullable OffsetDateTime startTime)
    Set the startTime of this `AiExecution` instance and return the same instance.
    Parameters:
      `startTime` - Timestamp of job status changed to RUNNING
    Returns:
      The same instance of this `AiExecution` class

  - ### getStartTime

    @Nonnull public OffsetDateTime getStartTime()
    Timestamp of job status changed to RUNNING
    Returns:
      startTime The startTime of this `AiExecution` instance.

  - ### setStartTime

    public void setStartTime(@Nullable OffsetDateTime startTime)
    Set the startTime of this `AiExecution` instance.
    Parameters:
      `startTime` - Timestamp of job status changed to RUNNING

  - ### completionTime

    @Nonnull public AiExecution completionTime(@Nullable OffsetDateTime completionTime)
    Set the completionTime of this `AiExecution` instance and return the same instance.
    Parameters:
      `completionTime` - Timestamp of job status changed to COMPLETED/DEAD/STOPPED
    Returns:
      The same instance of this `AiExecution` class

  - ### getCompletionTime

    @Nonnull public OffsetDateTime getCompletionTime()
    Timestamp of job status changed to COMPLETED/DEAD/STOPPED
    Returns:
      completionTime The completionTime of this `AiExecution` instance.

  - ### setCompletionTime

    public void setCompletionTime(@Nullable OffsetDateTime completionTime)
    Set the completionTime of this `AiExecution` instance.
    Parameters:
      `completionTime` - Timestamp of job status changed to COMPLETED/DEAD/STOPPED

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `AiExecution`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `AiExecution` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `AiExecution` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `AiExecution` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static AiExecution.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `AiExecution` instance with all required arguments.